[Tkinter-discuss] how make active python 3 use active tcl on mac os?

Sridhar Ratnakumar sridharr at activestate.com
Fri Dec 10 06:04:18 CET 2010

On 2010-11-23, at 1:14 PM, David Cortesi wrote:

> I installed ActiveState Python 3.1.4, and also ActiveState Tcl/Tk, both on Mac OS X 10.6.
> Python3 executing "import * from tkinter" is getting and executing the Apple version of Tcl/Tk which is level 8.5.7. It appears to be getting it from /System/Library/Frameworks/Tk.framework and Tcl.framework.
> The ActiveTc (level 8.5.9) is in /Library/Frameworks rather than /System/Library Frameworks. It contains a bug fix that I need.
> Any suggestions on how I tell python3 to find the later Tcl/Tk instead of the Apple one?


We just released ActiveTcl 8.5 64-bit and the corresponding ActivePython 2.7 & 3.1 builds that now use ActiveTcl instead of Apple's Tcl/Tk on Snow Leopard.


More information about the Tkinter-discuss mailing list